<?php

namespace App\Http\EFatura;

class Util
{
    public static $service_url;

    public static function invoiceStatus($status)
    {
        // Durum kodları ve açıklamaları buraya eklenebilir
        $statuses = [
            '1' => 'Gönderildi',
            '2' => 'Alındı',
            // Diğer durum kodları ve açıklamaları
        ];
        return isset($statuses[$status]) ? $statuses[$status] : 'Bilinmeyen Durum';
    }

    public static function GUID()
    {
        if (function_exists('com_create_guid') === true) {
            return trim(com_create_guid(), '{}');
        }
        return sprintf(
            '%04X%04X-%04X-%04X-%04X-%04X%04X%04X',
            mt_rand(0, 65535),
            mt_rand(0, 65535),
            mt_rand(0, 65535),
            mt_rand(16384, 20479),
            mt_rand(32768, 49151),
            mt_rand(0, 65535),
            mt_rand(0, 65535),
            mt_rand(0, 65535)
        );
    }

    public static function actionDate()
    {
        return date('Y-m-d\TH:i:s');
    }
}
